Package docking.widgets.indexedscrollpane

# Class DefaultViewToIndexMapper

java.lang.Object
docking.widgets.indexedscrollpane.DefaultViewToIndexMapper

All Implemented Interfaces:
  `ViewToIndexMapper`

public class DefaultViewToIndexMapper extends Object implements ViewToIndexMapper

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultViewToIndexMapper(IndexedScrollable model, int screenHeight)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getIndex(int value)`
  `int`
  `getScrollValue(BigInteger startIndex, BigInteger endIndex, int startY, int endY)`
  `int`
  `getVerticalOffset(int value)`
  `int`
  `getViewHeight()`
  `void`
  `indexModelDataChanged(BigInteger start, BigInteger end)`
  `void`
  `setVisibleViewHeight(int screenHeight)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultViewToIndexMapper

    public DefaultViewToIndexMapper(IndexedScrollable model, int screenHeight)

- ## Method Details

  - ### getIndex

    public BigInteger getIndex(int value)
    Specified by:
      `getIndex` in interface `ViewToIndexMapper`

  - ### getVerticalOffset

    public int getVerticalOffset(int value)
    Specified by:
      `getVerticalOffset` in interface `ViewToIndexMapper`

  - ### getViewHeight

    public int getViewHeight()
    Specified by:
      `getViewHeight` in interface `ViewToIndexMapper`

  - ### setVisibleViewHeight

    public void setVisibleViewHeight(int screenHeight)
    Specified by:
      `setVisibleViewHeight` in interface `ViewToIndexMapper`

  - ### getScrollValue

    public int getScrollValue(BigInteger startIndex, BigInteger endIndex, int startY, int endY)
    Specified by:
      `getScrollValue` in interface `ViewToIndexMapper`

  - ### indexModelDataChanged

    public void indexModelDataChanged(BigInteger start, BigInteger end)
    Specified by:
      `indexModelDataChanged` in interface `ViewToIndexMapper`